from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDocumentTemplates(XInterface, Protocol):
    def getContent(self) -> XContent: ...
    def storeTemplate(self, GroupName: str, TemplateName: str, Storable: XStorable) -> bool: ...
    def addTemplate(self, GroupName: str, TemplateName: str, SourceURL: str) -> bool: ...
    def removeTemplate(self, GroupName: str, TemplateName: str) -> bool: ...
    def renameTemplate(self, GroupName: str, OldTemplateName: str, NewTemplateName: str) -> bool: ...
    def addGroup(self, GroupName: str) -> bool: ...
    def removeGroup(self, GroupName: str) -> bool: ...
    def renameGroup(self, OldGroupName: str, NewGroupName: str) -> bool: ...
    def update(self) -> None: ...
